DLB(6)

NAME
dlb - NetHack data librarian

SYNOPSIS
dlb {c|t|x }[v] [C directory] [file] ...

dlb {c|t|x }[v] I list-file

dlb {c|t|x }[v] [f archive-file-name] [file] ...

DESCRIPTION
Dlb is a file archiving tool in the spirit (and tradition) of tar(1) for nethack(6) version 3.1 and higher. It is used to maintain the archive files from which the game reads special level files and other read-only information. Note that like tar, the letters specifying the operation and options are expressed as a continuous string. Unlike tar, dlb is configured with a default set of file names to process.

  Operations
c causes dlb to create a new archive from files in the current directory.

t lists the files in the archive.

x causes dlb to extract the contents of the archive into the current directory.

OPTIONS

C dir
    Change directory to dir before trying to read any files.

f archive
    Read from or write to archive instead of LIBFILE (usually the nhdat file in the playground).

I list-file
    Read from list-file the names of files to emplace within or extract from the archive. The default for archive creation is LIBLISTFILE.

v   Operate verbosely.

EXAMPLES
Create the default archive from the default file list:
        dlb c

List the contents of the archive foo:
        dlb tf foo

AUTHOR
Kenneth Lorber

SEE ALSO
nethack(6), tar(1)

BUGS

•   Not a good tar emulation; - does not mean stdin or stdout.

•   Should include an optional compression facility.

•   Not all read-only files for NetHack can be read out of an archive; examining the source is the only way to know which files can be.

COPYRIGHT
This file is Copyright (C) Kenneth Lorber, 2024 for version :. NetHack may be freely redistributed. See license for details.